{# On copie la nav de bootstrap 5.2 #}

<nav class="navbar navbar-expand-lg bg-dark navbar-dark">
	<div class="container-fluid">
		<a class="navbar-brand" href="{{ path('app_home2') }}">Home</a>
		<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarNav">
			<ul class="navbar-nav w-100">
				<li class="nav-item dropdown">
					<a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
						Service
					</a>
					{{ render(controller('App\\Controller\\FrontServiceController::renderServiceDropDown')) }}
				</li>

				{# <li class="nav-item">
					<a class="nav-link" href="#">Secteurs</a>
				</li> #}

				{# <li class="nav-item">
					<a class="nav-link" href="#">A propos</a>
				</li> #}

				<li class="nav-item  ms-lg-auto d-flex align-items-center">
					{% if app.user is null %}
					<a class="nav-link" href="{{ path('app_register') }}">Inscription</a>
					{% else %}
						<span class="text-light me-2">{{ app.user.email }}</span>
						{% if app.user.avatar is not null and app.user.avatar.imageName is not null %}
						<img src="{{ asset('images/avatar/' ~ app.user.avatar.imageName) }}" alt="avatar" class="avatar">
						{% endif %}
					<a class="nav-link" href="{{ path('app_front_user') }}"><i class="fa-solid fa-user"></i></a>
					{% endif %}
				</li>
				
				{% if is_granted("ROLE_ADMIN") %}
				<li class="nav-item">
					<a class="nav-link" href="{{ path('app_admin') }}">Admin</a>
				</li>
				{% endif %}

				<li class="nav-item">
					{% if is_granted("ROLE_USER") %}
					<a class="nav-link" href="{{ path('app_logout') }}"><i class="fa-sharp fa-solid fa-globe"></i></a>
					{% else %}
					<a class="nav-link" href="{{ path('app_login') }}">Connexion</a>
					{% endif %}
				</li>
			</ul>
		</div>
	</div>
</nav>
